# QGraphicsSceneEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QEvent.

### Constructor

- void QGraphicsSceneEvent(Type type)

### Constructor Properties

- prototype: The QGraphicsSceneEvent prototype object

### Prototype Object Properties

The QGraphicsSceneEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- QWidget widget()

### Instance Properties

QGraphicsSceneEvent objects have no special properties beyond those inherited from the QGraphicsSceneEvent prototype object.